#include "SevSeg.h"
SevSeg sevseg;

#include "animations.h"

// Variables globales
int frameId = 0;     // début
int frameAnim = 0;     // début
int animId = 0;     // début
int loopFrames = 10000;

void setup(){
  byte numDigits = 4;
  byte digitPins[] = {7, 8, 9, 6};
  byte segmentPins[] = {10, 12, 14, 16, 17, 11, 13, 15};

  bool resistorsOnSegments = true; 
  bool updateWithDelaysIn = true;
  byte hardwareConfig = COMMON_CATHODE; 
  sevseg.begin(hardwareConfig, numDigits, digitPins, segmentPins, resistorsOnSegments);
  sevseg.setBrightness(90);
}
void loop(){
  sevseg.refreshDisplay();
  //sevseg.setNumber(8888, 1);
  sevseg.setNumber(frameAnim, 3);
  // système pour augmenter le compteur et créer un système de vitesse
  frameId++;
  if (frameId > loopFrames)
  {
    frameAnim++;
    frameId = 0;
  }
}
